<script lang="ts">
  export let buttonType = 'submit';
  export let callback = async () => {console.log('test');};
  export let inactive = false;
  const clickHandler = () => {
    callback();
  };
</script>

<button type="{buttonType}" disabled={inactive} on:click={clickHandler}>
  <slot>button</slot>
</button>

<style lang="scss">

</style>